// ID:ID, StartRank:开始排名, EndRank:结束排名, RewardList:奖励道具列表，填写M_ItemCFG中的道具ID, RewardCount:奖励数量

export default class Fish_SquamaRankRewardCFG {
  private static data =
      {"1":{"ID":1,"StartRank":1,"EndRank":1,"RewardList":[27,1],"RewardCount":[15,210000000]}

      ,"2":{"ID":2,"StartRank":2,"EndRank":2,"RewardList":[27,1],"RewardCount":[12,150000000]}

      ,"3":{"ID":3,"StartRank":3,"EndRank":3,"RewardList":[27,1],"RewardCount":[8,90000000]}

      ,"4":{"ID":4,"StartRank":4,"EndRank":6,"RewardList":[27,1],"RewardCount":[4,30000000]}

      ,"5":{"ID":5,"StartRank":7,"EndRank":10,"RewardList":[27,1],"RewardCount":[2,15000000]}

      }// ID:ID, StartRank:开始排名, EndRank:结束排名, RewardList:奖励道具列表，填写M_ItemCFG中的道具ID, RewardCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}